package com.yonge.cooleshow.biz.dal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * Description
 *
 * @author liujunchi
 * @date 2019-08-23
 */
@ApiModel("曲谱渲染图")
public class MusicImgDto {

    @NotBlank(message = "渲染图片不能为空")
    @ApiModelProperty("渲染图片")
    private String musicImg;

    @NotNull(message = "曲目id不能为空")
    @ApiModelProperty("曲目id")
    private Long musicSheetId;

    public String getMusicImg() {
        return musicImg;
    }

    public void setMusicImg(String musicImg) {
        this.musicImg = musicImg;
    }

    public Long getMusicSheetId() {
        return musicSheetId;
    }

    public void setMusicSheetId(Long musicSheetId) {
        this.musicSheetId = musicSheetId;
    }
}
